summaryrefslogtreecommitdiffstats
path: root/source/n/dhcp
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/n/dhcp
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/n/dhcp')
-rw-r--r--source/n/dhcp/dhclient-script.PATH.diff14
-rwxr-xr-xsource/n/dhcp/dhcp.SlackBuild19
-rw-r--r--source/n/dhcp/slack-desc12
3 files changed, 27 insertions, 18 deletions
diff --git a/source/n/dhcp/dhclient-script.PATH.diff b/source/n/dhcp/dhclient-script.PATH.diff
index 5dfe9f09c..567ed2a4f 100644
--- a/source/n/dhcp/dhclient-script.PATH.diff
+++ b/source/n/dhcp/dhclient-script.PATH.diff
@@ -1,13 +1,13 @@
-diff -Nur dhcp-4.1.1.orig//client/scripts/linux dhcp-4.1.1/client/scripts/linux
---- dhcp-4.1.1.orig//client/scripts/linux 2009-04-21 09:21:09.000000000 -0500
-+++ dhcp-4.1.1/client/scripts/linux 2010-03-03 09:14:33.261713322 -0600
-@@ -22,6 +22,9 @@
+--- ./client/scripts/linux.orig 2017-07-25 08:39:54.000000000 -0500
++++ ./client/scripts/linux 2017-08-03 15:31:41.067873392 -0500
+@@ -22,6 +22,10 @@
# 4. TIMEOUT not tested. ping has a flag I don't know, and I'm suspicious
# of the $1 in its args.
++# Set a reasonable default path for Linux:
+PATH=/usr/local/sbin:/usr/sbin:/sbin:/usr/local/bin:/usr/bin:/bin
+export PATH
+
- # 'ip' just looks too weird. /sbin/ip looks less weird.
- ip=/sbin/ip
-
+ # 5. Script refresh in 2017. The aliasing code was too convoluted and needs
+ # to go away. Migrated DHCPv4 script to ip command from iproute2 suite.
+ # This is based on Debian script with some tweaks. ifconfig is no longer
diff --git a/source/n/dhcp/dhcp.SlackBuild b/source/n/dhcp/dhcp.SlackBuild
index ba3b6392d..62e65e558 100755
--- a/source/n/dhcp/dhcp.SlackBuild
+++ b/source/n/dhcp/dhcp.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,12 +20,13 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=dhcp
# Leave this one .gz as other compressors do not help much and we can keep
# the original upstream .asc
VERSION=${VERSION:-$(basename $(echo $PKGNAM-*.tar.gz | cut -f 2- -d -) .tar.gz)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
PKG_VERSION=$(echo $VERSION | tr - _)
@@ -41,7 +42,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$PKG_VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-dhcp
@@ -99,7 +107,8 @@ CFLAGS="$SLKCFLAGS" \
--with-srv-lease-file=/var/state/dhcp/dhcpd.leases \
--with-srv6-lease-file=/var/state/dhcp/dhcpd6.leases \
--with-cli-lease-file=/var/state/dhcp/dhclient.leases \
- --with-cli6-lease-file=/var/state/dhcp/dhclient6.leases
+ --with-cli6-lease-file=/var/state/dhcp/dhclient6.leases || exit 1
+
# Default pid dir is still /var/run, so no need to declare it
make $NUMJOBS || make || exit 1
diff --git a/source/n/dhcp/slack-desc b/source/n/dhcp/slack-desc
index f586e4e1b..9fb272ff2 100644
--- a/source/n/dhcp/slack-desc
+++ b/source/n/dhcp/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
dhcp: dhcp (DHCP server and client utilities)
dhcp:
dhcp: This package provides the ISC's DHCP utilities, including both a
-dhcp: server and client. The DHCP protocol allows a host to contact a
+dhcp: server and client. The DHCP protocol allows a host to contact a
dhcp: central server which maintains a list of IP addresses which may be
-dhcp: assigned on one or more subnets. A DHCP client may request an
+dhcp: assigned on one or more subnets. A DHCP client may request an
dhcp: address from this pool, and then use it temporarily for communication
-dhcp: on the network. The DHCP protocol also provides a mechanism whereby
+dhcp: on the network. The DHCP protocol also provides a mechanism whereby
dhcp: a client can learn important details about the network to which it is
dhcp: attached, such as the location of a default router or name server.
dhcp: